import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { _ as __decorate, a as __metadata } from './tslib.es6.js';
import { L as Logger } from './log.js';

const SelectOption = /*@__PURE__*/ proxyCustomElement(class SelectOption extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        /**
         * If `true`, the user cannot interact with the option.
         */
        this.disabled = false;
        /**
         * @internal
         * ID of the option.
         */
        this.for = `bal-selopt-${selectOptionIds++}`;
    }
    createLogger(log) {
        this.log = log;
    }
    render() {
        return (h(Host, { key: '8829db26394b32b2a00ba288a944358c3f4e39be', style: { display: 'none' } }, h("slot", { key: '4ba8e9b7bdf68609d2e0ca5185a4e71943e66bda' })));
    }
}, [4, "bal-select-option", {
        "label": [513],
        "disabled": [4],
        "value": [513],
        "for": [513]
    }]);
__decorate([
    Logger('bal-select-option'),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Function]),
    __metadata("design:returntype", void 0)
], SelectOption.prototype, "createLogger", null);
let selectOptionIds = 0;
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["bal-select-option"];
    components.forEach(tagName => { switch (tagName) {
        case "bal-select-option":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, SelectOption);
            }
            break;
    } });
}

export { SelectOption as S, defineCustomElement as d };
